List Registry
curl --request GET \
--url https://api.deepidv.com/v1/igaming/self-exclusionimport requests
url = "https://api.deepidv.com/v1/igaming/self-exclusion"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.deepidv.com/v1/igaming/self-exclusion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"type": "identity",
"document_number": "P1234567",
"reason": "self-requested exclusion",
"added_by": "8f14e45f-ceea-467a-9575-d0c1b8a0b1e2",
"added_at": "2026-07-27T18:31:09.877Z"
},
{
"type": "face",
"session_id": "b8991ba9-2566-4fe5-b758-66f387c3e28b",
"reason": null,
"excluded_at": "2026-07-27T18:31:09.877Z"
}
],
"truncated": false
}
iGaming Self-Exclusion & Management
List Registry
List all identity and face entries in the self-exclusion registry
GET
/
v1
/
igaming
/
self-exclusion
List Registry
GET /v1/igaming/self-exclusion
Request
Query parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
limit | integer | No | 200 | Maximum number of entries to return (1–1000) |
If the registry has more entries than
limit, truncated is true in the
response.Headers
| Header | Required | Description |
|---|---|---|
x-api-key | Yes | Your API key |
Example request
curl -X GET "https://api.deepidv.com/v1/igaming/self-exclusion?limit=200" \
-H "x-api-key: YOUR_API_KEY"
const params = new URLSearchParams({ limit: "200" });
const response = await fetch(
`https://api.deepidv.com/v1/igaming/self-exclusion?${params}`,
{
headers: { "x-api-key": "YOUR_API_KEY" },
}
);
const data = await response.json();
import requests
response = requests.get(
"https://api.deepidv.com/v1/igaming/self-exclusion",
headers={"x-api-key": "YOUR_API_KEY"},
params={"limit": 200},
)
Response
200 — Success
| Field | Type | Description |
|---|---|---|
entries | array | Array of identity and face entries |
entries[].type | string | identity or face |
entries[].document_number | string | Identity entries only |
entries[].session_id | string | Face entries only |
entries[].reason | string | null | Reason recorded at exclusion time, if any |
entries[].added_by | string | null | Identity entries only — ID of the user who added the entry |
entries[].added_at | string | null | Identity entries only — ISO 8601 timestamp the entry was added |
entries[].excluded_at | string | null | Face entries only — ISO 8601 timestamp the face was excluded |
entries[].first_name | string | Identity entries only, if provided when added |
entries[].last_name | string | Identity entries only, if provided when added |
truncated | boolean | true if the registry has more entries than limit |
Error responses
| Status | Description |
|---|---|
400 Bad Request | Invalid limit (out of range or not a number) |
401 Unauthorized | Invalid or revoked API key |
403 Forbidden | x-api-key header missing |
500 Internal Server Error | Unexpected server error |
{
"entries": [
{
"type": "identity",
"document_number": "P1234567",
"reason": "self-requested exclusion",
"added_by": "8f14e45f-ceea-467a-9575-d0c1b8a0b1e2",
"added_at": "2026-07-27T18:31:09.877Z"
},
{
"type": "face",
"session_id": "b8991ba9-2566-4fe5-b758-66f387c3e28b",
"reason": null,
"excluded_at": "2026-07-27T18:31:09.877Z"
}
],
"truncated": false
}